Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util.xml
Class QName

    java.lang.Object
      |
      +--org.apache.soap.util.xml.QName

All Implemented Interfaces:
  java.io.Serializable

public class QName
extends java.lang.Object
implements java.io.Serializable

A `QName` represents a fully-qualified name.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`QName()`
`QName(org.w3c.dom.Node node)`
`QName(java.lang.String namespaceURI, java.lang.String localPart)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLocalPart()`
`java.lang.String` | `getNamespaceURI()`
`int` | `hashCode()`
`boolean` | `matches(org.w3c.dom.Node node)`
`void` | `setLocalPart(java.lang.String localPart)`
`void` | `setNamespaceURI(java.lang.String namespaceURI)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName()

### QName

    public QName(org.w3c.dom.Node node)
          throws java.lang.IllegalArgumentException

### QName

    public QName(java.lang.String namespaceURI,
                 java.lang.String localPart)

Method Detail

### setNamespaceURI

    public void setNamespaceURI(java.lang.String namespaceURI)

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### setLocalPart

    public void setLocalPart(java.lang.String localPart)

### getLocalPart

    public java.lang.String getLocalPart()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### matches

    public boolean matches(org.w3c.dom.Node node)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.